Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -2142,49 +2261,71 @@
         <NamedArea name="ItemRenderingAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_listheader__" dimension="BottomEdge" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_listheader__" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/ListHeader" nameSuffix="__auto_listheader__">
-            <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" >
-                    <FontDim type="LineSpacing">
-                        <DimOperator op="Multiply">
-                            <AbsoluteDim value="1.5" />
-                        </DimOperator>
-                    </FontDim>
+        <Child nameSuffix="__auto_listheader__" type="WindowsLook/ListHeader">
+            <Area>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <FontDim type="LineSpacing" />
+                        <AbsoluteDim value="1.5" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </Child>
-        <Child  type="WindowsLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-16" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="16" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="WindowsLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-16" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="16" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="WindowsLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_listheader__" dimension="BottomEdge" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="16" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1" offset="-16" type="BottomEdge" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="WindowsLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_listheader__" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="16" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -2193,18 +2334,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="StaticFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="StaticFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="StaticFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="StaticFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="StaticFrameLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="StaticFrameRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="StaticFrameTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="StaticFrameBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/StaticFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/StaticFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/StaticFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/StaticFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/StaticFrameLeft" />
+                <Image component="RightEdge" name="WindowsLook/StaticFrameRight" />
+                <Image component="TopEdge" name="WindowsLook/StaticFrameTop" />
+                <Image component="BottomEdge" name="WindowsLook/StaticFrameBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
             </FrameComponent>
         </ImagerySection>
@@ -2220,36 +2369,31 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/MultiLineEditbox
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/MultiLineEditbox">
-        <PropertyDefinition name="ReadOnlyBGColour" initialValue="FFDFDFDF" />
-        <PropertyDefinition name="NormalTextColour" initialValue="FF000000" redrawOnWrite="true" />
-        <PropertyDefinition name="SelectedTextColour" initialValue="FFFFFFFF" redrawOnWrite="true" />
-        <PropertyDefinition name="ActiveSelectionColour" initialValue="FF607FFF" redrawOnWrite="true" />
-        <PropertyDefinition name="InactiveSelectionColour" initialValue="FF808080" redrawOnWrite="true" />
-        <Property name="MouseCursorImage" value="set:WindowsLook image:MouseTextBar" />
-        <Property name="SelectionBrushImage" value="set:WindowsLook image:Background" />
+        <PropertyDefinition initialValue="FFDFDFDF" name="ReadOnlyBGColour" />
+        <PropertyDefinition initialValue="FF000000" name="NormalTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FFFFFFFF" name="SelectedTextColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF607FFF" name="ActiveSelectionColour" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="FF808080" name="InactiveSelectionColour" redrawOnWrite="true" />
+        <Property name="MouseCursorImage" value="WindowsLook/MouseTextBar" />
+        <Property name="SelectionBrushImage" value="WindowsLook/Background" />
         <NamedArea name="TextArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="EditFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="EditFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="EditFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="EditFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/EditFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/EditFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/EditFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/EditFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -2257,15 +2401,18 @@
         <NamedArea name="TextAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="EditFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="EditFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="EditFrameRight" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/EditFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/EditFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/EditFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -2273,15 +2420,18 @@
         <NamedArea name="TextAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="EditFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="EditFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="EditFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/EditFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/EditFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/EditFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -2289,29 +2439,49 @@
         <NamedArea name="TextAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="EditFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="EditFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/EditFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/EditFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-16" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="16" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="WindowsLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-16" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="16" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="WindowsLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="16" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-16" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="WindowsLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="16" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-16" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -2320,29 +2490,45 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="EditFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="EditFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="EditFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="EditFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="EditFrameLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="EditFrameRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="EditFrameTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="EditFrameBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/EditFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/EditFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/EditFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/EditFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/EditFrameLeft" />
+                <Image component="RightEdge" name="WindowsLook/EditFrameRight" />
+                <Image component="TopEdge" name="WindowsLook/EditFrameTop" />
+                <Image component="BottomEdge" name="WindowsLook/EditFrameBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
             </FrameComponent>
         </ImagerySection>
-        <ImagerySection name="Carat">
+        <ImagerySection name="Caret">
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="WindowsLook" image="EditBoxCarat" dimension="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="EditBoxCarat" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <ImageDim dimension="Width" name="WindowsLook/EditBoxCarat" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/EditBoxCarat" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2369,51 +2555,38 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/PopupMenu
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/PopupMenu">
-        <PropertyDefinition name="BackgroundColours" initialValue="tl:FFF4F3F5 tr:FFF2F2FF bl:FFF4F3F5 br:FFF4F3F5" redrawOnWrite="true" />
-        <PropertyDefinition name="BorderWidth" initialValue="0" layoutOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFF4F3F5 tr:FFF2F2FF bl:FFF4F3F5 br:FFF4F3F5" name="BackgroundColours" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="0" layoutOnWrite="true" name="BorderWidth" />
         <NamedArea name="ItemRenderArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="PopupMenuFrameLeft" dimension="Width">
-                        <DimOperator op="Add">
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Width" name="WindowsLook/PopupMenuFrameLeft" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Add">
+                        <ImageDim dimension="Height" name="WindowsLook/PopupMenuFrameTop" />
+                        <PropertyDim name="BorderWidth" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Width" name="WindowsLook/PopupMenuFrameRight" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="PopupMenuFrameTop" dimension="Height">
-                        <DimOperator op="Add">
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <OperatorDim op="Add">
+                            <ImageDim dimension="Height" name="WindowsLook/PopupMenuFrameBottom" />
                             <PropertyDim name="BorderWidth" />
-                        </DimOperator>
-                    </ImageDim>
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="PopupMenuFrameRight" dimension="Width">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="PopupMenuFrameBottom" dimension="Height">
-                                <DimOperator op="Add">
-                                    <PropertyDim name="BorderWidth" />
-                                </DimOperator>
-                            </ImageDim>
-                        </DimOperator>
-                    </UnifiedDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -2422,18 +2595,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="PopupMenuFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="PopupMenuFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="PopupMenuFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="PopupMenuFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="PopupMenuFrameLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="PopupMenuFrameRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="PopupMenuFrameTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="PopupMenuFrameBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/PopupMenuFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/PopupMenuFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/PopupMenuFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/PopupMenuFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/PopupMenuFrameLeft" />
+                <Image component="RightEdge" name="WindowsLook/PopupMenuFrameRight" />
+                <Image component="TopEdge" name="WindowsLook/PopupMenuFrameTop" />
+                <Image component="BottomEdge" name="WindowsLook/PopupMenuFrameBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
                 <ColourRectProperty name="BackgroundColours" />
             </FrameComponent>
@@ -2450,33 +2631,24 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/ProgressBar
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/ProgressBar">
         <NamedArea name="ProgressArea">
             <Area>
-                <Dim type="LeftEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" />
-                </Dim>
-                <Dim type="TopEdge" >
-                    <ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" />
-                </Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1.0" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1.0" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
